package my_chart_log

import (
	"time"
)

// MyChartLog 我的图表操作日志
type MyChartLog struct {
	MyChartLogId    int       `gorm:"primaryKey;column:my_chart_log_id;type:int(11);not null" json:"myChartLogId"`
	MyChartId       int       `gorm:"index:idx_my_chart_id;column:my_chart_id;type:int(11)" json:"myChartId"`
	ChartInfoId     int       `gorm:"column:chart_info_id;type:int(11)" json:"chartInfoId"`
	SysUserId       int       `gorm:"column:sys_user_id;type:int(11)" json:"sysUserId"`
	CreateTime      time.Time `gorm:"column:create_time;type:datetime" json:"createTime"`
	SysUserRealName string    `gorm:"column:sys_user_real_name;type:varchar(50);default:''" json:"sysUserRealName"`
	Content         string    `gorm:"column:content;type:text" json:"content"`
	Status          string    `gorm:"column:status;type:varchar(50);default:''" json:"status"`
	Method          string    `gorm:"column:method;type:varchar(255);default:''" json:"method"`
}

// TableName get sql table name.获取数据库表名
func (m *MyChartLog) TableName() string {
	return "my_chart_log"
}

// MyChartLogColumns get sql column name.获取数据库列名
var MyChartLogColumns = struct {
	MyChartLogID    string
	MyChartID       string
	ChartInfoID     string
	SysUserID       string
	CreateTime      string
	SysUserRealName string
	Content         string
	Status          string
	Method          string
}{
	MyChartLogID:    "my_chart_log_id",
	MyChartID:       "my_chart_id",
	ChartInfoID:     "chart_info_id",
	SysUserID:       "sys_user_id",
	CreateTime:      "create_time",
	SysUserRealName: "sys_user_real_name",
	Content:         "content",
	Status:          "status",
	Method:          "method",
}
